@variants responsive {
  /**
 * ----------------------------------------
 * fx-underline
 * ----------------------------------------
 */
  .fx-underline {
    @apply relative;
  }
  .fx-underline::before {
    content: '';
    background-color: var(--line-color, currentColor);
    @apply absolute bottom-0 left-0;
    @apply h-px w-full;
    @apply transform origin-bottom-right scale-x-0;
    @apply transition-transform duration-200 ease-out;
  }
  .fx-underline:not(.active--exact):hover::before,
  .fx-underline:not(.active--exact):focus::before,
  .fx-underline:not(.active--exact):active::before {
    @apply origin-bottom-left scale-x-100;
  }

  /**
 * ----------------------------------------
 * fx-colorize
 * ----------------------------------------
 */
  .fx-colorize {
    filter: grayscale(1);
    @apply transition-filter duration-50 ease-linear;
  }
  .fx-colorize:hover {
    filter: grayscale(0);
  }
}
